All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class AuthorizationInheritanceInfo

    com.sas.services.information.metadata.AuthorizationInheritanceInfo

All Implemented Interfaces:
  AuthorizationInheritanceInfoInterface, java.io.Serializable, java.rmi.Remote

    public class AuthorizationInheritanceInfo

implements AuthorizationInheritanceInfoInterface, java.io.Serializable

Implementation Methods for obtaining inheritance info for an object

See Also:
  Serialized Form

Field Summary
`protected java.util.List<java.lang.String>` | `inheritanceRules`
`protected java.util.List<AuthorizationInheritanceInfoInterface>` | `nextLevelObjList`
`protected MetadataInterface` | `obj`
`protected boolean` | `objHasDirectPermissions`
`protected boolean` | `objHidden`
`protected AuthorizationInheritanceInfo` | `prevLevelObj`
`protected java.lang.String` | `roleName`

Constructor Summary
`AuthorizationInheritanceInfo(boolean hidden, MetadataInterface obj, boolean hasDirectPerms, java.lang.String roleName)`

Method Summary
`java.lang.String` | `getInheritanceRoleName()` Returns the association role name for this object from its direct "child".
`java.util.List<java.lang.String>` | `getInheritanceRules()` Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.
`java.util.List<AuthorizationInheritanceInfoInterface>` | `getNextLevelParents()` Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface
`MetadataInterface` | `getObject()` Returns the object for this inheritance instance
`boolean` | `HasDirectPermissions()` Returns true if this parent has permissions set directly on it
`boolean` | `HasNextLevelParents()` Returns true if this object has direct inheritance parent objects
`boolean` | `IsHidden()` Returns true if requester is not permitted to see the inheritance object represented by this instance
`java.lang.String` | `toString()`

Field Detail

### inheritanceRules

    protected java.util.List<java.lang.String> inheritanceRules

### objHidden

    protected boolean objHidden

### obj

    protected MetadataInterface obj

### objHasDirectPermissions

    protected boolean objHasDirectPermissions

### nextLevelObjList

    protected java.util.List<AuthorizationInheritanceInfoInterface> nextLevelObjList

### roleName

    protected java.lang.String roleName

### prevLevelObj

    protected AuthorizationInheritanceInfo prevLevelObj

Constructor Detail

### AuthorizationInheritanceInfo

    public AuthorizationInheritanceInfo(boolean hidden,
                                        MetadataInterface obj,
                                        boolean hasDirectPerms,
                                        java.lang.String roleName)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInheritanceRules

    public java.util.List<java.lang.String> getInheritanceRules()
                                                         throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.

  Specified by:
    `getInheritanceRules` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    List<`Strings`>
  Throws:
    `java.rmi.RemoteException`

### HasDirectPermissions

    public boolean HasDirectPermissions()
                                 throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns true if this parent has permissions set directly on it

  Specified by:
    `HasDirectPermissions` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    `boolean`
  Throws:
    `java.rmi.RemoteException`

### HasNextLevelParents

    public boolean HasNextLevelParents()
                                throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns true if this object has direct inheritance parent objects

  Specified by:
    `HasNextLevelParents` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    `boolean`
  Throws:
    `java.rmi.RemoteException`

### IsHidden

    public boolean IsHidden()
                     throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns true if requester is not permitted to see the inheritance object represented by this instance

  Specified by:
    `IsHidden` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    `boolean`
  Throws:
    `java.rmi.RemoteException`

### getNextLevelParents

    public java.util.List<AuthorizationInheritanceInfoInterface> getNextLevelParents()
                                                                              throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface

  Specified by:
    `getNextLevelParents` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    List<`AuthorizationInheritanceInfoInterface`>
  Throws:
    `java.rmi.RemoteException`

### getObject

    public MetadataInterface getObject()
                                throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns the object for this inheritance instance

  Specified by:
    `getObject` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    `String` object
  Throws:
    `java.rmi.RemoteException`

### getInheritanceRoleName

    public java.lang.String getInheritanceRoleName()
                                            throws java.rmi.RemoteException

  Description copied from interface: `AuthorizationInheritanceInfoInterface`
  Returns the association role name for this object from its direct "child". The value will always match one of the rule strings on the list returned from calling getInheritanceRules() on the child object.

  Specified by:
    `getInheritanceRoleName` in interface `AuthorizationInheritanceInfoInterface`
  Returns:
    `String` object
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.